#include <SoftwareSerial.h>
#include <Servo.h>
#include <DHT.h>

#define motor1 PIN_PB0
#define motor2 PIN_PB1
#define motor3 PIN_PB4
#define motor4 PIN_PB5

#define servo1Pin PIN_PB3
#define servo2Pin PIN_PB2
#define DHT_PIN PIN_PC1
#define DHT_TYPE DHT22

DHT dht(DHT_PIN, DHT_TYPE);

// Create a servo object
Servo Servo1;
Servo Servo2;

void DropDHT() {
  Serial.println("Drop DHT");
  Servo2.write(0);
  delay(500);
  Servo2.write(180);
  delay(3000);
  Servo2.write(0);
  delay(500);
} 

void OpenValve() {
  Serial.println("Open Valve");
  Servo1.write(0);
  delay(500);
  Servo1.write(70);
  delay(3000);
  Servo1.write(0);
  delay(500);

}

void go_to() {
  Serial.println("Go Go Go");
  digitalWrite(motor1, HIGH);
  digitalWrite(motor2, LOW);
  digitalWrite(motor3, HIGH);
  digitalWrite(motor4, LOW);
  delay(1000);
  digitalWrite(motor1, LOW);
  digitalWrite(motor2, LOW);
  digitalWrite(motor3, LOW);
  digitalWrite(motor4, LOW);
}

void setup() {
  // We need to attach the servo to the used pin number
  Servo1.attach(servo1Pin);
  Servo2.attach(servo2Pin);
  Serial.begin(9600);
  dht.begin();
  Servo1.write(0);
  Servo2.write(0);
  pinMode(motor1, OUTPUT);
  pinMode(motor2, OUTPUT);
  pinMode(motor3, OUTPUT);
  pinMode(motor4, OUTPUT);
  pinMode(PIN_PC2, INPUT);
  pinMode(PIN_PC0, OUTPUT);
}
void loop() {

  if (digitalRead(PIN_PC2) == 1) {

    digitalWrite(PIN_PC0, HIGH);
    int statuss = 0;

    go_to();
    DropDHT();

    delay(500);

    float hum = dht.readHumidity();
    float temp = dht.readTemperature();

    delay(500);

    Serial.print("Humidity: ");
    Serial.print(hum);
    Serial.print(" %, Temp: ");
    Serial.print(temp);
    Serial.println(" Celsius");

    if (hum < 100) { 
      OpenValve();
    }

  }
  else {
    digitalWrite(PIN_PC0, LOW);
  }

}
